InstallationΒΆ

It is recommended to use pip for installation.

pip install PyTDC            # normal install
pip install PyTDC --upgrade  # or update if needed

Alternatively, you could use conda for installation:

conda install -c conda-forge pytdc

Core Required Dependencies:

  • numpy

  • pandas

  • tqdm

  • seaborn

  • scikit_learn

  • fuzzywuzzy

To use some of TDC features, you need to install additional packages. Those packages will be automatically installed. Detailed installation instructions will be displayed in the terminal in case automatic installation fails.